net.sf.jasperreports.engine.query

## Class StandardSingleQueryParameterTypesClauseFunctionBundle

- java.lang.Object
- - net.sf.jasperreports.engine.query.StandardSingleQueryParameterTypesClauseFunctionBundle

- All Implemented Interfaces:
    ParameterTypesClauseFunctionBundle

      public class StandardSingleQueryParameterTypesClauseFunctionBundle
      extends java.lang.Object
      implements ParameterTypesClauseFunctionBundle

  Version:
    $Id: StandardSingleQueryParameterTypesClauseFunctionBundle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSingleQueryParameterTypesClauseFunctionBundle(java.lang.String queryLanguage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<? extends ParameterTypesClauseFunction>` | `getTypeFunctions(java.lang.String queryLanguage, java.lang.String clauseId)`
    `void` | `setFunctions(java.lang.String clauseId, ParameterTypesClauseFunction... functions)`
    `void` | `setFunctions(java.lang.String clauseId, ParameterTypesClauseFunction function)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardSingleQueryParameterTypesClauseFunctionBundle

          public StandardSingleQueryParameterTypesClauseFunctionBundle(java.lang.String queryLanguage)

  - ### Method Detail

    - #### setFunctions

          public void setFunctions(java.lang.String clauseId,
                          ParameterTypesClauseFunction... functions)

    - #### setFunctions

          public void setFunctions(java.lang.String clauseId,
                          ParameterTypesClauseFunction function)

    - #### getTypeFunctions

          public java.util.Collection<? extends ParameterTypesClauseFunction> getTypeFunctions(java.lang.String queryLanguage,
                                                                                      java.lang.String clauseId)

      Specified by:
        `getTypeFunctions` in interface `ParameterTypesClauseFunctionBundle`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com